#!/usr/bin/python3

import sys
from scapy.all import *

if __name__ == '__main__':
    iface = sys.argv[1]

    e = Ether(src="02:53:55:42:45:01",
              dst='ff:ff:ff:ff:ff:ff')

    i = IPv6(src = "2001:db8:42::1",
             dst = "2001:db8::2")

    t = TCP(dport=80, sport=random.randint(49152,65535))

    d = "A"

    pkg = e / i / t / d

    sendp(pkg, iface=iface, verbose=True)
